Synthesize Content
curl --request POST \
--url https://agent.crowdlisten.com/agent/v1/analysis/synthesize \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"sources": [
{}
],
"depth": "brief",
"entity_id": "<string>",
"project_id": "<string>",
"workspace_id": "<string>",
"request_id": "<string>"
}
'import requests
url = "https://agent.crowdlisten.com/agent/v1/analysis/synthesize"
payload = {
"question": "<string>",
"sources": [{}],
"depth": "brief",
"entity_id": "<string>",
"project_id": "<string>",
"workspace_id": "<string>",
"request_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
question: '<string>',
sources: [{}],
depth: 'brief',
entity_id: '<string>',
project_id: '<string>',
workspace_id: '<string>',
request_id: '<string>'
})
};
fetch('https://agent.crowdlisten.com/agent/v1/analysis/synthesize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/agent/v1/analysis/synthesize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'question' => '<string>',
'sources' => [
[
]
],
'depth' => 'brief',
'entity_id' => '<string>',
'project_id' => '<string>',
'workspace_id' => '<string>',
'request_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/agent/v1/analysis/synthesize"
payload := strings.NewReader("{\n \"question\": \"<string>\",\n \"sources\": [\n {}\n ],\n \"depth\": \"brief\",\n \"entity_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"request_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent.crowdlisten.com/agent/v1/analysis/synthesize")
.header("Content-Type", "application/json")
.body("{\n \"question\": \"<string>\",\n \"sources\": [\n {}\n ],\n \"depth\": \"brief\",\n \"entity_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"request_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/agent/v1/analysis/synthesize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"question\": \"<string>\",\n \"sources\": [\n {}\n ],\n \"depth\": \"brief\",\n \"entity_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"request_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}analysis
Synthesize Content
Synthesize supplied originals through the shared durable record pipeline.
POST
/
agent
/
v1
/
analysis
/
synthesize
Synthesize Content
curl --request POST \
--url https://agent.crowdlisten.com/agent/v1/analysis/synthesize \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"sources": [
{}
],
"depth": "brief",
"entity_id": "<string>",
"project_id": "<string>",
"workspace_id": "<string>",
"request_id": "<string>"
}
'import requests
url = "https://agent.crowdlisten.com/agent/v1/analysis/synthesize"
payload = {
"question": "<string>",
"sources": [{}],
"depth": "brief",
"entity_id": "<string>",
"project_id": "<string>",
"workspace_id": "<string>",
"request_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
question: '<string>',
sources: [{}],
depth: 'brief',
entity_id: '<string>',
project_id: '<string>',
workspace_id: '<string>',
request_id: '<string>'
})
};
fetch('https://agent.crowdlisten.com/agent/v1/analysis/synthesize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/agent/v1/analysis/synthesize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'question' => '<string>',
'sources' => [
[
]
],
'depth' => 'brief',
'entity_id' => '<string>',
'project_id' => '<string>',
'workspace_id' => '<string>',
'request_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/agent/v1/analysis/synthesize"
payload := strings.NewReader("{\n \"question\": \"<string>\",\n \"sources\": [\n {}\n ],\n \"depth\": \"brief\",\n \"entity_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"request_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent.crowdlisten.com/agent/v1/analysis/synthesize")
.header("Content-Type", "application/json")
.body("{\n \"question\": \"<string>\",\n \"sources\": [\n {}\n ],\n \"depth\": \"brief\",\n \"entity_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"request_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/agent/v1/analysis/synthesize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"question\": \"<string>\",\n \"sources\": [\n {}\n ],\n \"depth\": \"brief\",\n \"entity_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"request_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Body
application/json
Request body for on-demand synthesis from pre-loaded content.
Focus query for synthesis
Required string length:
1 - 1000Pre-loaded content_store items
Required array length:
1 - 2000 elementsAvailable options:
brief, deep Entity UUID for canonical findings
Required string length:
8 - 128Response
Successful Response